#include "IoState.h"
#include "IoObject.h"

IoObject *IoOggSyncState_proto(void *state);
IoObject *IoOggPage_proto(void *state);
IoObject *IoOggPacket_proto(void *state);
IoObject *IoOggStreamState_proto(void *state);

void IoOggInit(IoObject *context)
{
	IoState *self = IoObject_state((IoObject *)context);

	IoObject_setSlot_to_(context, SIOSYMBOL("OggSyncState"), IoOggSyncState_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("OggPage"), IoOggPage_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("OggPacket"), IoOggPacket_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("OggStreamState"), IoOggStreamState_proto(self));

}
